Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.dom
Class DOMNormalizer.XMLAttributesProxy

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.DOMNormalizer.XMLAttributesProxy

protected final class DOMNormalizer.XMLAttributesProxy
extends java.lang.Object
implements XMLAttributes

Field Summary
`protected AttributeMap` | `fAttributes`
`protected java.util.Vector` | `fAugmentations`
`protected CoreDocumentImpl` | `fDocument`
`protected ElementImpl` | `fElement`

Constructor Summary
`protected` | `DOMNormalizer.XMLAttributesProxy()`

Method Summary
`int` | `addAttribute(QName attrQName, java.lang.String attrType, java.lang.String attrValue)`
`Augmentations` | `getAugmentations(int attributeIndex)`
`Augmentations` | `getAugmentations(java.lang.String qName)`
`Augmentations` | `getAugmentations(java.lang.String uri, java.lang.String localPart)`
`int` | `getIndex(java.lang.String qName)`
`int` | `getIndex(java.lang.String uri, java.lang.String localPart)`
`int` | `getLength()`
`java.lang.String` | `getLocalName(int index)`
`void` | `getName(int attrIndex, QName attrName)`
`java.lang.String` | `getNonNormalizedValue(int attrIndex)`
`java.lang.String` | `getPrefix(int index)`
`java.lang.String` | `getQName(int index)`
`java.lang.String` | `getType(int index)`
`java.lang.String` | `getType(java.lang.String qName)`
`java.lang.String` | `getType(java.lang.String uri, java.lang.String localName)`
`java.lang.String` | `getURI(int index)`
`java.lang.String` | `getValue(int index)`
`java.lang.String` | `getValue(java.lang.String qName)`
`java.lang.String` | `getValue(java.lang.String uri, java.lang.String localName)`
`boolean` | `isSpecified(int attrIndex)`
`void` | `removeAllAttributes()`
`void` | `removeAttributeAt(int attrIndex)`
`void` | `setAttributes(AttributeMap attributes, CoreDocumentImpl doc, ElementImpl elem)`
`void` | `setName(int attrIndex, QName attrName)`
`void` | `setNonNormalizedValue(int attrIndex, java.lang.String attrValue)`
`void` | `setSpecified(int attrIndex, boolean specified)`
`void` | `setType(int attrIndex, java.lang.String attrType)`
`void` | `setValue(int attrIndex, java.lang.String attrValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fAttributes

    protected AttributeMap fAttributes

### fDocument

    protected CoreDocumentImpl fDocument

### fElement

    protected ElementImpl fElement

### fAugmentations

    protected final java.util.Vector fAugmentations

Constructor Detail

### DOMNormalizer.XMLAttributesProxy

    protected DOMNormalizer.XMLAttributesProxy()

Method Detail

### setAttributes

    public void setAttributes(AttributeMap attributes,
                              CoreDocumentImpl doc,
                              ElementImpl elem)

### addAttribute

    public int addAttribute(QName attrQName,
                            java.lang.String attrType,
                            java.lang.String attrValue)

  Specified by:
    addAttribute in interface XMLAttributes

### removeAllAttributes

    public void removeAllAttributes()

  Specified by:
    removeAllAttributes in interface XMLAttributes

### removeAttributeAt

    public void removeAttributeAt(int attrIndex)

  Specified by:
    removeAttributeAt in interface XMLAttributes

### getLength

    public int getLength()

  Specified by:
    getLength in interface XMLAttributes

### getIndex

    public int getIndex(java.lang.String qName)

  Specified by:
    getIndex in interface XMLAttributes

### getIndex

    public int getIndex(java.lang.String uri,
                        java.lang.String localPart)

  Specified by:
    getIndex in interface XMLAttributes

### setName

    public void setName(int attrIndex,
                        QName attrName)

  Specified by:
    setName in interface XMLAttributes

### getName

    public void getName(int attrIndex,
                        QName attrName)

  Specified by:
    getName in interface XMLAttributes

### getPrefix

    public java.lang.String getPrefix(int index)

  Specified by:
    getPrefix in interface XMLAttributes

### getURI

    public java.lang.String getURI(int index)

  Specified by:
    getURI in interface XMLAttributes

### getLocalName

    public java.lang.String getLocalName(int index)

  Specified by:
    getLocalName in interface XMLAttributes

### getQName

    public java.lang.String getQName(int index)

  Specified by:
    getQName in interface XMLAttributes

### setType

    public void setType(int attrIndex,
                        java.lang.String attrType)

  Specified by:
    setType in interface XMLAttributes

### getType

    public java.lang.String getType(int index)

  Specified by:
    getType in interface XMLAttributes

### getType

    public java.lang.String getType(java.lang.String qName)

  Specified by:
    getType in interface XMLAttributes

### getType

    public java.lang.String getType(java.lang.String uri,
                                    java.lang.String localName)

  Specified by:
    getType in interface XMLAttributes

### setValue

    public void setValue(int attrIndex,
                         java.lang.String attrValue)

  Specified by:
    setValue in interface XMLAttributes

### getValue

    public java.lang.String getValue(int index)

  Specified by:
    getValue in interface XMLAttributes

### getValue

    public java.lang.String getValue(java.lang.String qName)

  Specified by:
    getValue in interface XMLAttributes

### getValue

    public java.lang.String getValue(java.lang.String uri,
                                     java.lang.String localName)

  Specified by:
    getValue in interface XMLAttributes

### setNonNormalizedValue

    public void setNonNormalizedValue(int attrIndex,
                                      java.lang.String attrValue)

  Specified by:
    setNonNormalizedValue in interface XMLAttributes

### getNonNormalizedValue

    public java.lang.String getNonNormalizedValue(int attrIndex)

  Specified by:
    getNonNormalizedValue in interface XMLAttributes

### setSpecified

    public void setSpecified(int attrIndex,
                             boolean specified)

  Specified by:
    setSpecified in interface XMLAttributes

### isSpecified

    public boolean isSpecified(int attrIndex)

  Specified by:
    isSpecified in interface XMLAttributes

### getAugmentations

    public Augmentations getAugmentations(int attributeIndex)

  Specified by:
    getAugmentations in interface XMLAttributes

### getAugmentations

    public Augmentations getAugmentations(java.lang.String uri,
                                          java.lang.String localPart)

  Specified by:
    getAugmentations in interface XMLAttributes

### getAugmentations

    public Augmentations getAugmentations(java.lang.String qName)

  Specified by:
    getAugmentations in interface XMLAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD